<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
        xmlns:h="http://xmlns.jcp.org/jsf/html"
        xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:mindmap value="#{mindmapView.root}" style="height: 400px;" id="mindmap-content">
            <p:ajax event="select" listener="#{mindmapView.onNodeSelect}" oncomplete="mindmapSelectCallback()"/>
            <p:ajax event="dblselect" listener="#{mindmapView.onNodeDblselect}" update="pnlComponentDetail"
                    oncomplete="PF('dlgShowComponent').show();"/>
        </p:mindmap>

        <p:dialog widgetVar="dlgShowComponent" header="#{msg['show_component']}" modal="true"
                  showEffect="fade" hideEffect="fade" resizable="false">

            <p:outputPanel id="pnlComponentDetail">
                <p:panelGrid columns="2" rendered="#{not empty mindmapView.selectedNode.data}">
                    <h:outputText value="#{msg['id']}:"/>
                    <h:outputText value="#{mindmapView.selectedNode.data.id}"/>

                    <h:outputText value="#{msg['hostName']}"/>
                    <h:outputText value="#{mindmapView.selectedNode.data.hostname}"/>

                    <h:outputText value="#{msg['modelName']}"/>
                    <h:outputText value="#{mindmapView.selectedNode.data.modelName}"/>

                    <h:outputText value="#{msg['type']}"/>
                    <h:outputText value="#{mindmapView.selectedNode.data.type}"/>

                    <h:outputText value="#{msg['ipAddress']}"/>
                    <h:outputText value="#{mindmapView.selectedNode.data.ip}"/>

                    <h:outputText value="#{msg['macAddress']}"/>
                    <h:outputText value="#{mindmapView.selectedNode.data.macs}"/>
                </p:panelGrid>
            </p:outputPanel>
        </p:dialog>

    </h:form>
</ui:composition>
